if [ -x /usr/bin/update-mime-database ]; then
  /usr/bin/update-mime-database /usr/share/mime &> /dev/null
fi

if [ -x /usr/bin/update-desktop-database ]; then
  /usr/bin/update-desktop-database 1> /dev/null 2> /dev/null
fi

if [ -x /usr/bin/gtk-update-icon-cache ]; then
  /usr/bin/gtk-update-icon-cache  -f -q /usr/share/icons/hicolor 1> /dev/null 2> /dev/null
fi

( cd usr/lib ; rm -rf libgvfscommon.so.0 )
( cd usr/lib ; ln -sf libgvfscommon.so.0.0.0 libgvfscommon.so.0 )
( cd usr/lib ; rm -rf libgvfscommon.so )
( cd usr/lib ; ln -sf libgvfscommon.so.0.0.0 libgvfscommon.so )
